/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	<fcntl.h>
#include	<stdlib.h>
#include	"init.h"
#include	"long_char.h"
#include	"memory_routine.h"
#include	"xl.h"
#include	"utils.h"

int
submain(int argc,char ** argv)
{
XLISP_ENV * env;
XL_INTERPRETER * xli;
int id;

unsigned int total;


	init_xl(INI_WDONTCARE);

	init_function(gblisp_top_env0,gblisp_top_env1,argc,argv);
	init_favt();
	init_set_entry(gblisp_top_env0);
	init_exsh_function(gblisp_top_env0,gblisp_top_env1);

	init_kyotodb(gblisp_top_env0);
	init_search(gblisp_top_env0);
	init_set_point(gblisp_top_env0);
	init_set_tword(gblisp_top_env0);
	init_alias(gblisp_top_env0);

	xl_setup_file(argc,argv);

	finish_k_table();
	return 0;
}


int
_main(int argc,char ** argv)
{
	return submain(argc,argv);
}
